<?php

namespace App\Http\Controllers\ItemOffer;

use App\Http\Controllers\Controller;
use App\Http\Requests\ItemOffer\AddOfferRequest;
use App\Http\Requests\ItemOffer\OfferIdRequest;
use App\Http\Requests\ItemOffer\ShowOffersRequest;
use App\Http\Resources\ItemOffer\ShowOffersResource;
use App\Interfaces\Repository;
use App\Models\ItemColor;
use App\Models\ItemOffer;
use Illuminate\Http\Request;
use Illuminate\Support\Arr;

class ItemOfferController extends Controller
{

    public function __construct(public Repository $repository)
    {
    }

    public function Create(AddOfferRequest $request)
    {
        $arr = Arr::only($request->validated(), ['item_id', 'offer_price', 'from_date', 'to_date']);
        ItemOffer::updateOrCreate(['item_id' => $arr['item_id']], $arr);
        return \Success('Offer Add Successfully');
    }

    public function ShowAll(ShowOffersRequest $request)
    {
        $arr = Arr::only($request->validated(), ['active']);
        $perPage = \returnPerPage();
        $offers = $this->repository->ShowAll(ItemOffer::class, []);
        if (\array_key_exists('active', $arr)) {
            $offers->Active();
        }
        $offers = $offers->paginate($perPage);
        ShowOffersResource::collection($offers);
        return \Pagination($offers);
    }

    public function DeleteById(OfferIdRequest $request)
    {
        $arr = Arr::only($request->validated(), ['offerId']);
        $this->repository->DeleteById(ItemOffer::class, $arr['offerId']);
        return \Success('Offer Deleted Successfully');
    }


}
