<?php

namespace App\Http\Controllers\LikeCart;

use App\Http\Controllers\Controller;
use App\Http\Requests\LikeCart\CategoryIdRequest;
use App\Http\Requests\LikeCart\OrderIdRequest;
use App\Http\Requests\LikeCart\ProductIdRequest;
use App\Http\Requests\LikeCart\ShowOrdersRequest;
use Illuminate\Http\Request;
use Illuminate\Pagination\LengthAwarePaginator;
use Illuminate\Pagination\Paginator;
use Illuminate\Support\Arr;
use Illuminate\Support\Collection;
use Symfony\Component\HttpKernel\Exception\NotFoundHttpException;

class LikeCartController extends Controller
{

    private $arr;

    public function __construct()
    {
        $language = \returnLanguage();
        $this->arr = [
            'deviceId' => 'f95f7b5758e994f08a60808dbc3f8f095a75caef71a88effd62d4dad9c8e368b8a6351dc6dc403e3acf9277683229903',
            'email' => 'hasan.orfi@hotmail.com',
            'password' => '8518e440ebf6f1c4c969a54184ce91d25d1569a811eb0503920dc19e80b66d3c',
            'securityCode' => 'a323667891ecd4ffb4ed3ebf36e43a6de1413b1431e658aa5ab8b63be02cb6b6',
            'langId' => $language == 'en' ? '1' : '2',
        ];
    }


    public function CheckBalance()
    {


        $curl = curl_init();

        curl_setopt_array($curl, array(
            CURLOPT_URL => "https://taxes.like4app.com/online/check_balance/",
            CURLOPT_RETURNTRANSFER => true,
            CURLOPT_ENCODING => "",
            CURLOPT_MAXREDIRS => 10,
            CURLOPT_TIMEOUT => 0,
            CURLOPT_FOLLOWLOCATION => true,
            CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
            CURLOPT_CUSTOMREQUEST => "POST",

            CURLOPT_POSTFIELDS => $this->arr));

        $response = curl_exec($curl);

        curl_close($curl);
        return \json_decode($response);

    }


    public function ShowCategories()
    {

        $perPage = \returnPerPage();
        $curl = curl_init();

        curl_setopt_array($curl, array(
            CURLOPT_URL => "https://taxes.like4app.com/online/categories",
            CURLOPT_RETURNTRANSFER => true,
            CURLOPT_ENCODING => "",
            CURLOPT_MAXREDIRS => 10,
            CURLOPT_TIMEOUT => 0,
            CURLOPT_FOLLOWLOCATION => true,
            CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
            CURLOPT_CUSTOMREQUEST => "POST",
            CURLOPT_POSTFIELDS => $this->arr));

        $response = curl_exec($curl);

        curl_close($curl);
        $response = \json_decode($response);
        if ($response->response == 0) {
            return \SuccessData('Found Successfully', []);
        }
        $response = $response->data;
        $response = $this->paginate($response, $perPage);
        return \Pagination($response);
    }


    public function ShowProducts(CategoryIdRequest $request)
    {
        $perPage = \returnPerPage();
        $arr = Arr::only($request->validated(), ['categoryId']);
        $this->arr['categoryId'] = $arr['categoryId'];
        $curl = curl_init();

        curl_setopt_array($curl, array(
            CURLOPT_URL => "https://taxes.like4app.com/online/products",
            CURLOPT_RETURNTRANSFER => true,
            CURLOPT_ENCODING => "",
            CURLOPT_MAXREDIRS => 10,
            CURLOPT_TIMEOUT => 0,
            CURLOPT_FOLLOWLOCATION => true,
            CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
            CURLOPT_CUSTOMREQUEST => "POST",
            CURLOPT_POSTFIELDS => $this->arr));

        $response = curl_exec($curl);

        curl_close($curl);
        $response = \json_decode($response);
        if ($response->response == 0) {
            return \SuccessData('Found Successfully', []);
        }
        $response = $response->data;
        $response = $this->paginate($response, $perPage);
        return \Pagination($response);

    }


    public function AddOrder(ProductIdRequest $request)
    {
        $arr = Arr::only($request->validated(), ['productId']);
        $this->arr['productId'] = $arr['productId'];
        $curl = curl_init();

        curl_setopt_array($curl, array(
            CURLOPT_URL => "https://taxes.like4app.com/online/create_order",
            CURLOPT_RETURNTRANSFER => true,
            CURLOPT_ENCODING => "",
            CURLOPT_MAXREDIRS => 10,
            CURLOPT_TIMEOUT => 0,
            CURLOPT_FOLLOWLOCATION => true,
            CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
            CURLOPT_CUSTOMREQUEST => "POST",
            CURLOPT_POSTFIELDS => $this->arr));

        $response = curl_exec($curl);
        curl_close($curl);
        return \json_decode($response);
    }


    public function ShowOrders(ShowOrdersRequest $request)
    {
        $arr = Arr::only($request->validated(), ['page']);
        $this->arr['page'] = $arr['page'];
        $curl = curl_init();

        curl_setopt_array($curl, array(
            CURLOPT_URL => "https://taxes.like4app.com/online/orders",
            CURLOPT_RETURNTRANSFER => true,
            CURLOPT_ENCODING => "",
            CURLOPT_MAXREDIRS => 10,
            CURLOPT_TIMEOUT => 0,
            CURLOPT_FOLLOWLOCATION => true,
            CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
            CURLOPT_CUSTOMREQUEST => "POST",
            CURLOPT_POSTFIELDS => $this->arr));

        $response = curl_exec($curl);

        curl_close($curl);
        $response = \json_decode($response);
        return \SuccessData('Orders Found Successfully', $response->data);
    }

    public function OrderDetails(OrderIdRequest $request)
    {
        $arr = Arr::only($request->validated(), ['orderId']);
        $this->arr['orderId'] = $arr['orderId'];
        $curl = curl_init();

        curl_setopt_array($curl, array(
            CURLOPT_URL => "https://taxes.like4app.com/online/orders/details",
            CURLOPT_RETURNTRANSFER => true,
            CURLOPT_ENCODING => "",
            CURLOPT_MAXREDIRS => 10,
            CURLOPT_TIMEOUT => 0,
            CURLOPT_FOLLOWLOCATION => true,
            CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
            CURLOPT_CUSTOMREQUEST => "POST",
            CURLOPT_POSTFIELDS => $this->arr));

        $response = curl_exec($curl);

        curl_close($curl);
        $response = \json_decode($response);
        if ($response->response == 0) {
            return \SuccessData('Order Detail Found Successfully', []);
        }
        return \SuccessData('Order Found Successfully', $response->data);
    }


    public function paginate($items, $perPage = 5, $page = null, $pageName = "page", $options = [])
    {
        $page = $page ?: (Paginator::resolveCurrentPage() ?: 1);
        $items = $items instanceof Collection ? $items : Collection::make($items);

        return new LengthAwarePaginator(array_values($items->forPage($page, $perPage)
            ->toArray()), $items->count(), $perPage, $page, $options);
    }

}
