<?php

namespace App\Http\Controllers\Location;

use App\Http\Controllers\Controller;

use App\Http\Requests\Location\CountryIdRequest;

use App\Http\Resources\Location\LocationResource;
use App\Interfaces\Repository;
use App\Models\City;
use App\Models\Country;
use GrahamCampbell\ResultType\Success;
use Illuminate\Http\Request;
use Illuminate\Support\Arr;

class LocationController extends Controller
{

    public function __construct(public Repository $repository)
    {
    }

    public function ShowAllCountries()
    {
        $countries = $this->repository->ShowAll(Country::class, [])->get();
        $countries = LocationResource::collection($countries);
        return \SuccessData('Countries Found Successfully', $countries);
    }

    public function ShowCitiesByCountry(CountryIdRequest $request)
    {
        $arr = Arr::only($request->validated(), ['countryId']);
        $where = ['country_id' => $arr['countryId']];
        $cities = $this->repository->ShowAll(City::class, $where)->get();
        $cities = LocationResource::collection($cities);

        return \SuccessData('Cities Found Successfully', $cities);

    }

}
