<?php

namespace App\Http\Controllers\Notification;

use App\Http\Controllers\Controller;
use App\Http\Requests\Notification\NotificationRequest;
use App\Models\Customer;
use GrahamCampbell\ResultType\Success;
use Illuminate\Http\Request;
use Illuminate\Support\Arr;

class NotificationController extends Controller
{
public function __construct()
{
    $this->middleware('permission:notification_management',['only'=>['sendNotification']]);
}


    public function sendNotification(NotificationRequest $request)
    {
          $arr = Arr::only($request->validated(), ['fcm_token', 'title', 'body']);
        if (\array_key_exists('fcm_token', $arr)) {
            $firebaseToken[0] = $arr['fcm_token'];
        } else {
            $firebaseToken = Customer::whereNotNull('fcm_token')->pluck('fcm_token')->all();
        }
        $SERVER_API_KEY = 'AAAAdFHao_4:APA91bG0sDJmn1rQYJfXILJLvfIVTl92OQJbO4c0sMVDtZDE7v-uJ1gJDS77KEgTKIs_LtHUSui_9eMTIXChDB93rBvx_8zU3w-S9Qq7mONDKQCbccY9u9uiHlmu_psyhsTtmKySVuBO';

        $data = [
            "registration_ids" => $firebaseToken,
            "notification" => [
                "title" => $arr['title'],
                "body" => $arr['body'],
                "content_available" => true,
                "priority" => "high",
            ]
        ];
        $dataString = json_encode($data);

        $headers = [
            'Authorization: key=' . $SERVER_API_KEY,
            'Content-Type: application/json',
        ];

        $ch = curl_init();

        curl_setopt($ch, CURLOPT_URL, 'https://fcm.googleapis.com/fcm/send');
        curl_setopt($ch, CURLOPT_POST, true);
        curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);
        curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
        curl_setopt($ch, CURLOPT_POSTFIELDS, $dataString);

        $response = curl_exec($ch);

        return \Success('Notification Send Successfully');
    }


}
