<?php

namespace App\Http\Requests\Card;

use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Validation\Rule;

class AddCardCodeRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     */
    public function authorize(): bool
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, \Illuminate\Contracts\Validation\ValidationRule|array<mixed>|string>
     */
    public function rules(): array
    {
        return [
            'card_id' => [Rule::exists('cards', 'id')->whereNull('deleted_at'), 'required', 'numeric'],
            'code' => [Rule::unique('card_codes')->where('card_id', $this->card_id)->where('deleted_at'), 'required'],
        ];
    }
}
