<?php

namespace App\Http\Requests\Card;

use App\Enums\CardTypeEnum;
use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Validation\Rule;

class AddCardRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     */
    public function authorize(): bool
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, \Illuminate\Contracts\Validation\ValidationRule|array<mixed>|string>
     */
    public function rules(): array
    {
        return [
            'type' => [Rule::in(CardTypeEnum::toArray()),'required'],
            'card_sub_id' => [Rule::exists('card_sub_categories','id')->whereNull('deleted_at'),'required','numeric'],
            'name_ar' => 'required',
            'name_en' => 'required',
            'description_ar' => 'required',
            'description_en' => 'required',
            'image' => 'required|image',
            'price' => 'required|numeric',
            'currency_id' => [Rule::exists('currencies','id'),'required','numeric'],
            'quantity' => 'required_if:type,smc|numeric',
            'codes' => 'required_if:type,smc|size:'.$this->quantity,
            'codes.*' => 'required|distinct',

            ];
    }
}
