<?php

namespace App\Http\Requests\CardCategory;

use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Validation\Rule;

class UpdateCardCategoryRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     */
    public function authorize(): bool
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, \Illuminate\Contracts\Validation\ValidationRule|array<mixed>|string>
     */
    public function rules(): array
    {
        return [
            'cardCategoryId' => [Rule::exists('card_categories', 'id')->whereNull('deleted_at'), 'required', 'numeric'],
            'name_ar' => [Rule::unique('card_categories')->whereNull('deleted_at')->ignore($this->cardCategoryId, 'id'), 'required'],
            'name_en' => [Rule::unique('card_categories')->whereNull('deleted_at')->ignore($this->cardCategoryId, 'id'), 'required'],
            'image' => 'nullable|image',

        ];
    }
}
