<?php

namespace App\Http\Requests\CardOrder;

use App\Enums\OrderStatusEnum;
use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Validation\Rule;

class CardOrderStatusRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     */
    public function authorize(): bool
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, \Illuminate\Contracts\Validation\ValidationRule|array<mixed>|string>
     */
    public function rules(): array
    {
        return [
            'cardOrderId' => [Rule::exists('card_orders','id'),'required','numeric'],
            'status' => [Rule::in(OrderStatusEnum::toArray()),'required'],
        ];
    }
}
