<?php

namespace App\Http\Requests\CardOrder;

use App\Enums\OrderStatusEnum;
use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Validation\Rule;

class ShowCardOrdersRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     */
    public function authorize(): bool
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, \Illuminate\Contracts\Validation\ValidationRule|array<mixed>|string>
     */
    public function rules(): array
    {
        return [
            'customerId' => [Rule::exists('customers', 'id')->whereNull('deleted_at'), 'nullable', 'numeric'],
            'status' => [Rule::in(OrderStatusEnum::toArray()), 'nullable'],
        ];
    }
}
