<?php

namespace App\Http\Requests\CardSubCategory;

use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Validation\Rule;

class AddCardSubCategoryRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     */
    public function authorize(): bool
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, \Illuminate\Contracts\Validation\ValidationRule|array<mixed>|string>
     */
    public function rules(): array
    {
        return [
            'card_category_id' => [Rule::exists('card_categories','id')->whereNull('deleted_at'),'required','numeric'],
            'name_ar' => [Rule::unique('card_sub_categories')->whereNull('deleted_at'),'required'],
            'name_en' => [Rule::unique('card_sub_categories')->whereNull('deleted_at'),'required'],
            'image' => 'required|image',
            'description_ar' => 'required',
            'description_en' => 'required',
        ];
    }
}
