<?php

namespace App\Http\Requests\Cart;

use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Validation\Rule;

class AddCartRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     */
    public function authorize(): bool
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, \Illuminate\Contracts\Validation\ValidationRule|array<mixed>|string>
     */
    public function rules(): array
    {
        return [
            'item_id' => [Rule::exists('items', 'id')->whereNull('deleted_at'), 'required', 'numeric'],
            'color_id' => [Rule::exists('colors', 'id'), 'nullable', 'numeric'],
            'quantity' => 'required|numeric|min:1',
        ];
    }
}
