<?php

namespace App\Http\Requests\Customer;

use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Validation\Rule;

class AddCustomerRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     */
    public function authorize(): bool
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, \Illuminate\Contracts\Validation\ValidationRule|array<mixed>|string>
     */
    public function rules(): array
    {
        $block_arabic = 'regex:/^[^\s\x{0600}-\x{06FF}\x{0750}-\x{077F}\x{08A0}-\x{08FF}\x{FB50}-\x{FDFF}\x{FE70}-\x{FEFF}]+$/u';
        return [
            'user_name' => 'required',
            'email' => [Rule::unique('customers')->whereNull('deleted_at'),'required','email'],
            'password' => 'required|min:8|'.$block_arabic,
            'phone' => [Rule::unique('customers')->whereNull('deleted_at'),'required','regex:/^\++[0-9]+$/'],
            'fcm_token' => 'nullable',
        ];
    }
}
