<?php

namespace App\Http\Requests\Item;

use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Validation\Rule;

class AddItemRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     */
    public function authorize(): bool
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, \Illuminate\Contracts\Validation\ValidationRule|array<mixed>|string>
     */
    public function rules(): array
    {
        return [
            'category_id' => [Rule::exists('categories', 'id')->whereNull('deleted_at'), 'required', 'numeric'],
            'brand_id' => [Rule::exists('brands', 'id'), 'nullable', 'numeric'],
            'currency_id' => [Rule::exists('currencies', 'id'), 'required', 'numeric'],
            'storage_id' => [Rule::exists('storages', 'id'), 'nullable', 'numeric'],
            'name_ar' => 'required',
            'name_en' => 'required',
            'description_ar' => 'required',
            'description_en' => 'required',
            'price' => 'required|numeric',
            'images' => 'required',
            'images.*' => 'required|image',
            'colors' => 'nullable',
            'colors.*' => [Rule::exists('colors','id'),'required','numeric'],
        ];
    }
}
