<?php

namespace App\Http\Requests\Item;

use App\Enums\PriceAscDescEnum;
use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Validation\Rule;

class ShowItemsRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     */
    public function authorize(): bool
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, \Illuminate\Contracts\Validation\ValidationRule|array<mixed>|string>
     */
    public function rules(): array
    {
        return [
            'search' => 'nullable',
            'categoryId' => [Rule::exists('categories', 'id')->whereNull('deleted_at'), 'nullable', 'numeric'],
            'special' => 'nullable|boolean',
            'price' => [Rule::in(PriceAscDescEnum::toArray()), 'nullable'],
            'currency' => [Rule::in(['Dinar', 'Dollar']), 'nullable'],
        ];
    }
}
