<?php

namespace App\Http\Requests\ItemOffer;

use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Validation\Rule;

class AddOfferRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     */
    public function authorize(): bool
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, \Illuminate\Contracts\Validation\ValidationRule|array<mixed>|string>
     */
    public function rules(): array
    {
        return [
            'item_id' => [Rule::exists('items','id')->whereNull('deleted_at'),'required','numeric'],
            'offer_price' => 'required|numeric',
            'from_date' => 'required|date',
            'to_date' => 'required|date|after:from_date',
        ];
    }
}
