<?php

namespace App\Http\Requests\Order;

use App\Interfaces\Repository;
use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Validation\Rule;

class AddOrderRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     */
    public function authorize(): bool
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, \Illuminate\Contracts\Validation\ValidationRule|array<mixed>|string>
     */
    public function rules(): array
    {
        return [
            'payment_id' => 'required|boolean',
            'name' => 'required',
            'phone' => 'required|regex:/^\++[0-9]+$/',
            'country_id' => [Rule::exists('countries','id'),'required','numeric'],
            'city_id' => [Rule::exists('cities','id'),'required','numeric'],
            'address' => 'required',
            'building_num' => 'required|numeric',
        ];
    }
}
