<?php

namespace App\Http\Requests\Order;

use App\Enums\OrderStatusEnum;
use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Validation\Rule;

class GetOrdersRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     */
    public function authorize(): bool
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, \Illuminate\Contracts\Validation\ValidationRule|array<mixed>|string>
     */
    public function rules(): array
    {

        $arr = [
            'status' => [Rule::in(OrderStatusEnum::toArray()), 'nullable'],
        ];

        if (request()->route()->getPrefix() == 'customer_api') {
            $customerId = \auth('Customer')->user()->id;
            $arr['customerId'] = [Rule::exists('customers', 'id')->where('id', $customerId), 'required ', 'numeric'];
        } else {
            $arr['customerId'] = [Rule::exists('customers', 'id'), 'nullable ', 'numeric'];
        }
        return $arr;
    }
}
