<?php

namespace App\Http\Resources\Card;


use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;
use Illuminate\Support\Facades\App;
use App\Models\Setting;

class ShowCardsResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @return array<string, mixed>
     */
public function toArray(Request $request): array
    {
        $language = \returnLanguage();
        $name = 'name_' . $language;
        $currency = \returnCurrency();
        $include = App::make('App\Services\ChangeCurrencyService');
        $arr = [
            'id' => $this->id,
            'type' => $this->quantity ? 'smc' : 'gc',
            'card_sub_category_id' => $this->card_sub_id,
            'card_sub_category_name' => $this->CardSubCategory->$name,
            'name' => $this->$name,
            'image' => $this->image,
            'price' => (string)$include->ChangePriceByCurrency($this->price, $this->Currency->name, $currency),
            'currency' => $include->ChangeCurrency($currency),
            'is_active' => $this->is_active,
          
          
        ];

        if (\request()->route()->getPrefix() == 'customer_api') {
            
            if ($this->quantity === 0) {
            
                if ($language == 'en') {
                    $message = 'This Card Not Available Now';
                } else {
                    $message = 'لم يتبقى من هذه البطاقة';
                }
                $arr = \array_merge($arr, [
                    'is_buy' => 0,
                    'reason' => $message,
                ]);
                return $arr;
            }
            $customer = \auth('Customer')->user();
            $is_trader = $customer->is_trader;
            $price = $include->ChangePriceByCurrency($this->price, $this->Currency->name, 'Dinar');
            if ($is_trader == 0) {
                if ($price <= $customer->balance) {
                    $arr = \array_merge($arr, [
                        'is_buy' => 1,
                        'reason' => null,
                    ]);
                } else {
                    if ($language == 'en') {
                        $message = 'This Balance Dont Enough';
                    } else {
                        $message = 'الرصيد غير كافي';
                    }
                    $arr = \array_merge($arr, [
                        'is_buy' => 0,
                        'reason' => $message,
                    ]);
                }


            } else {
                $trader_dept = Setting::where('key_en', 'trader dept')->first()->value_ar;
                if ($customer->balance + $trader_dept >= $price) {

                    $arr = \array_merge($arr, [
                        'is_buy' => 1,
                        'reason' => null,
                    ]);

                } else {

                    if ($language == 'en') {
                        $message = 'This Balance Dont Enough';
                    } else {
                        $message = 'الرصيد غير كافي';
                    }
                    $arr = \array_merge($arr, [
                        'is_buy' => 0,
                        'reason' => $message,
                    ]);


                }


            }


        }


        return $arr;

    }
}
