<?php

namespace App\Http\Resources\Cart;

use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;
use Illuminate\Support\Facades\App;

class ShowCartsResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @return array<string, mixed>
     */
    public function toArray(Request $request): array
    {
        $language = \returnLanguage();
        $currency = \returnCurrency();
        $name = 'name_'.$language;
        $description = 'description_' . $language;
        $offer = $this->Item->ItemOffer()->Active()->first();
        $include = App::make('App\Services\ChangeCurrencyService');
        $price = $offer ?
            $include->ChangePriceByCurrency($offer->offer_price, $this->Item->Currency->name, $currency) :
            $include->ChangePriceByCurrency($this->Item->price, $this->Item->Currency->name, $currency);
        $arr = [
            'id' => $this->id,
            'item_id' => $this->item_id,
            'item_name' => $this->Item->$name,
            'description' => $this->Item->$description,
            'quantity' => $this->quantity,
            'total_price' => (string) ($this->quantity * $price),
            'item_image' => $this->Item->Images[0],
            'currency' => $include->ChangeCurrency($currency),
            ];

        if($this->color_id){
            $arr = \array_merge($arr,[
                'color_id' => $this->color_id,
                'color_name' => $this->Color->color,
            ]);

        }
        return $arr;
    }
}
