<?php

namespace App\Http\Resources\Item;

use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;
use Illuminate\Support\Facades\App;

class ShowFavoriteItemsResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @return array<string, mixed>
     */
    public function toArray(Request $request): array
    {
        $language = \returnLanguage();
        $customer_id = \auth('Customer')->user()->id;
        $currency = \returnCurrency();
        $name = 'name_' . $language;
        $description = 'description_' . $language;
        $include = App::make('App\Services\ChangeCurrencyService');

        $price = $include->ChangePriceByCurrency($this->Item->price, $this->Item->Currency->name, $currency);
        $offer_price = $this->Item->ItemOffer()->Active()->first() ?
            $include->ChangePriceByCurrency($this->Item->ItemOffer()->Active()->first()->offer_price, $this->Item->Currency->name, $currency) : null;

        return [
            'id' => $this->id,
            'item_id' => $this->item_id,
            'name' => $this->Item->$name,
            'description' => $this->Item->$description,
            'image' => $this->Item->Images[0]->url,
            'price' => (string) $price,
            'offer_price' => (string) $offer_price,
            'currency' => $include->ChangeCurrency($currency),
            'is_active' => $this->Item->is_active,
            'discount' => $offer_price ? round(100 - (($offer_price / $price)*100),2): null,
        ];
    }
}
