<?php

namespace App\Http\Resources\Item;

use App\Services\ChangeCurrencyService;
use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;
use Illuminate\Support\Facades\App;

class ShowItemsResource extends JsonResource
{


    /**
     * Transform the resource into an array.
     *
     * @return array<string, mixed>
     */

    public function toArray(Request $request): array
    {

        $language = \returnLanguage();

        $currency = \returnCurrency();
        $name = 'name_' . $language;
        $description = 'description_' . $language;
        $include = App::make('App\Services\ChangeCurrencyService');

        $price = $include->ChangePriceByCurrency($this->price, $this->Currency->name, $currency);
        $offer_price = $this->ItemOffer()->Active()->first() ?
            $include->ChangePriceByCurrency($this->ItemOffer()->Active()->first()->offer_price, $this->Currency->name, $currency) : null;
        $discount = $offer_price ? round(100 - (($offer_price / $price)*100),2) : null;

        $arr =  [
            'id' => $this->id,
            'name' => $this->$name,
            'category_id' => $this->category_id,
            'category_name' => $this->Category->$name,
            'description' => $this->$description,
            'image' => $this->Images[0]->url,
            'price' => (string) $price,
            'offer_price' => (string) $offer_price,
            'original_currency' => $this->Currency->name,
            'currency' => $include->ChangeCurrency($currency),
            'is_active' => $this->is_active,
            'discount' => $discount,
        ];


        if(request()->route()->getPrefix() == 'customer_api'){
            $customer_id = \auth('Customer')->user()->id;
            $arr = array_merge($arr,['like' => $this->Favorites()->where('customer_id',$customer_id)->first() ? 1 : 0,]);

        }
        return $arr;

    }
}
