<?php

namespace App\Http\Resources\Item;

use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;
use Illuminate\Support\Facades\App;
use App\Models\CartItem;

class ShowOneItemResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @return array<string, mixed>
     */
    public function toArray(Request $request): array
    {
        $language = \returnLanguage();
        $currency = \returnCurrency();
        $name = 'name_' . $language;
        $description = 'description_' . $language;
        $name2 = $language == 'en' ? 'name_ar' : 'name_en';
        $description2 = $language == 'en' ? 'description_ar' : 'description_en';
        $include = App::make('App\Services\ChangeCurrencyService');
        $price = $include->ChangePriceByCurrency($this->price, $this->Currency->name, $currency);
        $offer_price = $this->ItemOffer()->Active()->first() ?
                $include->ChangePriceByCurrency($this->ItemOffer()->Active()->first()->offer_price, $this->Currency->name, $currency)
                : null;
         
        
        $arr =  [
            'id' => $this->id,
            'category_id' => $this->category_id,
            'category_name' => $this->Category->$name,
            'name' => $this->$name,
            'name2' => $this->$name2,
            'description' => $this->$description,
            'description2' => $this->$description2,
            'price' => (string) $price,
            'offer_price' =>(string) $offer_price ,
            'brand' => $this->Brand,
            'currency' => $include->ChangeCurrency($currency),
            'storage' => $this->Storage,
            'images' => $this->Images,
            'colors' => $this->ItemColors->map(function ($query) {
                return $query->Color;
            }),
            'discount' => $offer_price ? round(100 - (($offer_price / $price)*100),2) : null,
        ];
        
        if(request()->route()->getPrefix() == "customer_api"){
                    $customer_id = \auth('Customer')->user()->id;
                $cartItems = CartItem::whereHas('Cart', function ($q) use ($customer_id) {
            $q->where('customer_id', $customer_id)->where('status', 'initial');
        })->where('item_id', $this->id)->get();
        $quantityInCart = 0;
        if($cartItems && \count($cartItems)>0){
            foreach ($cartItems as $cartItem){
                $quantityInCart += $cartItem->quantity;
            }
        }
            $arr['like'] = $this->Favorites()->where('customer_id',$customer_id)->first() ? 1 : 0;
            $arr['quantity_in_cart'] = $quantityInCart;
            
        }
      return $arr;  
    }
}
