<?php

namespace App\Http\Resources\ItemOffer;

use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;
use Illuminate\Support\Facades\App;

class ShowOffersResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @return array<string, mixed>
     */
    public function toArray(Request $request): array
    {

        $language = \returnLanguage();
        $currency = \returnCurrency();
        $name = 'name_'.$language;
        $description = 'description_'.$language;
        $include = App::make('App\Services\ChangeCurrencyService');
        $price =  $include->ChangePriceByCurrency($this->Item->price, $this->Item->Currency->name, $currency);
        $offer_price = $include->ChangePriceByCurrency($this->offer_price, $this->Item->Currency->name, $currency);
        $arr = [
            'id' => $this->id,
            'item_id' => $this->Item->id,
            'name' => $this->Item->$name,
            'description' => $this->Item->$description,
            'image' => $this->Item->Images[0]->url,
            //'price' => (string) $price,
            'offer_price' => (string) $offer_price,
            'from_date' => $this->from_date,
            'to_date' => $this->to_date,
            'original_currency' => $this->Item->Currency->name,
            'currency' => $include->ChangeCurrency($currency),

            'discount' => round(100 - (($offer_price / $price) * 100),2)  ,
        ];

        if(request()->route()->getPrefix() == "customer_api"){

              $customer_id = \auth('Customer')->user()->id;
             $arr['like'] = $this->Item->Favorites()->where('customer_id',$customer_id)->first() ? 1 : 0;
        }
return $arr;
    }
}
