<?php

namespace App\Http\Resources\Order;

use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

class ShowOrderResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @return array<string, mixed>
     */
    public function toArray(Request $request): array
    {
        $language = \returnLanguage();
        $name = 'name_'.$language;
        $payment = $language == 'en' ? 'Electronic payment' : 'دفع الكتروني';
        return [
            'id' => $this->id,
            'customer_name' => $this->Cart->Customer->user_name,
            'customer_email' => $this->Cart->Customer->email,
            'order_price' => $this->order_price,
            'payment_method' => $this->Payment ? $this->Payment->$name : $payment,
            'country' => $this->Country->$name,
            'city' => $this->City->$name,
            'address' => $this->address,
            'building_num' => $this->building_num,
            'phone' => $this->phone,
            'created_at' => $this->created_at->format('Y-m-d'),
            'currency' => $this->Currency,
            'status' => $this->status,
        ];
    }
}
