<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

class CardOrder extends Model
{
    use HasFactory;

    protected $primaryKey = 'id';

    protected $fillable = [
        'customer_id',
        'card_id',
        'player_id',
        'code_id',
        'price',
        'currency_id',
        'language',
        'status',
    ];

    protected $hidden = [
        'created_at',
        'updated_at',
    ];

    public function Customer(): BelongsTo
    {
        return $this->belongsTo(Customer::class, 'customer_id')->withTrashed();
    }

    public function Card(): BelongsTo
    {
        return $this->belongsTo(Card::class, 'card_id')->withTrashed();
    }


    /** @noinspection PhpUnused */
    public function CardCode(): BelongsTo
    {
        return $this->belongsTo(CardCode::class, 'code_id')->withTrashed();
    }

    public function Currency(): BelongsTo
    {
        return $this->belongsTo(Currency::class, 'currency_id');
    }
}
