<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;
use Illuminate\Database\Eloquent\Relations\HasMany;
use Illuminate\Database\Eloquent\SoftDeletes;

class CardSubCategory extends Model
{
    use HasFactory, SoftDeletes;

    protected $fillable = [
        'card_category_id',
        'name_ar',
        'name_en',
        'image',
        'description_ar',
        'description_en',
        'is_active',
    ];

    protected $hidden = [
        'created_at',
        'updated_at',
        'deleted_at',
    ];

    public function scopeActive($query)
    {
        return $query->where('is_active', 1);
    }

    public function CardCategory(): BelongsTo
    {
        return $this->belongsTo(CardCategory::class, 'card_category_id')->withTrashed();
    }

    public function Cards(): HasMany
    {
        return $this->hasMany(Card::class, 'card_sub_id');
    }
}
