<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;
use Illuminate\Database\Eloquent\Relations\HasMany;
use Illuminate\Database\Eloquent\Relations\HasOne;

class Cart extends Model
{
    use HasFactory;

    protected $primaryKey = 'id';

    protected $fillable = [
        'customer_id',

        'status',
    ];

    protected $hidden = [
        'created_at',
        'updated_at',
    ];

    public function Customer(): BelongsTo
    {
        return $this->belongsTo(Customer::class, 'customer_id')->withTrashed();
    }

    public function CartItems(): HasMany
    {
        return $this->hasMany(CartItem::class, 'cart_id');
    }

    public function Order(): HasOne
    {
        return $this->hasOne(Order::class, 'cart_id');
    }
}
