<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

class CartItem extends Model
{
    use HasFactory;

    protected $primaryKey = 'id';

    protected $fillable = [
        'cart_id',
        'item_id',
        'color_id',
        'quantity',
        'total_price',
    ];

    protected $hidden = [
        'created_at',
        'updated_at',
    ];

    public function Cart(): BelongsTo
    {
        return $this->belongsTo(Cart::class, 'cart_id');
    }

    public function Item(): BelongsTo
    {
        return $this->belongsTo(Item::class, 'item_id')->withTrashed();
    }

    public function Color(): BelongsTo
    {
        return $this->belongsTo(Color::class, 'color_id');
    }
}
