<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;
use Illuminate\Database\Eloquent\Relations\HasMany;
use Illuminate\Database\Eloquent\SoftDeletes;

class Color extends Model
{
    use HasFactory;

    protected $primaryKey = 'id';

    protected $fillable = [
        'superAdmin_id',
        'color',
    ];

    protected $hidden = [
        'superAdmin_id',
        'created_at',
        'updated_at',
    ];

    protected static function boot()
    {
        parent::boot(); // TODO: Change the autogenerated stub

        static::creating(function ($model) {
            $model->setSuperAttribute();
        });

    }

    public function setSuperAttribute()
    {
        $this->attributes['superAdmin_id'] = \auth('SuperAdmin')->user()->id;
    }

    public function SuperAdmin(): BelongsTo
    {
        return $this->belongsTo(SuperAdmin::class, 'superAdmin_id');
    }

    public function ItemColors(): HasMany
    {
        return $this->hasMany(ItemColor::class, 'item_id');
    }

    public function CartItems(): HasMany
    {
        return $this->hasMany(CartItem::class, 'color_id');
    }
}
