<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\HasMany;
use PHPUnit\Framework\Constraint\Count;

class Country extends Model
{
    use HasFactory;

    protected $primaryKey = 'id';

    protected $fillable = [
        'name_ar',
        'name_en',
    ];

    protected $hidden = [
        'created_at',
        'updated_at',
    ];

    public function Cities(): HasMany
    {
        return $this->hasMany(City::class, 'country_id');
    }

    public function Orders(): HasMany
    {
        return $this->hasMany(Order::class, 'country_id');
    }

}
