<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

class Favorite extends Model
{
    use HasFactory;

    protected $primaryKey = 'id';

    protected $fillable = [
        'customer_id',
        'item_id',
    ];

    protected $hidden = [
        'created_at',
        'updated_at',
    ];

    public function Customer(): BelongsTo
    {
        return $this->belongsTo(Customer::class, 'customer_id');
    }

    public function Item(): BelongsTo
    {
        return $this->belongsTo(Item::class, 'item_id');
    }


}
