<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\MorphTo;

class Image extends Model
{
    use HasFactory;

    protected $primaryKey = 'id';

    protected $fillable = [
        'imageable_type',
        'imageable_id',
        'url',
    ];

    protected $hidden = [
        'imageable_type',
        'imageable_id',
        'created_at',
        'updated_at',
    ];

    public function imageable(): MorphTo
    {
        return $this->morphTo();
    }
}
