<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;
use Illuminate\Database\Eloquent\SoftDeletes;

class ItemColor extends Model
{
    use HasFactory,SoftDeletes;

    protected $primaryKey = 'id';

    protected $fillable = [
        'item_id',
        'color_id',
    ];

    protected $hidden = [
        'created_at',
        'updated_at',
    ];

    public function Item(): BelongsTo
    {
        return $this->belongsTo(Item::class, 'item_id');
    }

    public function Color(): BelongsTo
    {
        return $this->belongsTo(Color::class, 'color_id');
    }

}

