<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

class ItemOffer extends Model
{
    use HasFactory;

    protected $primaryKey = 'id';

    protected $fillable = [
        'item_id',
        'offer_price',
        'from_date',
        'to_date',
    ];

    protected $hidden = [
        'created_at',
        'updated_at',
    ];

    public function scopeActive($query)
    {
        return $query->whereDate('from_date', '<=', \now())->whereDate('to_date' ,'>=', \now());
    }

    public function Item(): BelongsTo
    {
        return $this->belongsTo(Item::class, 'item_id')->withTrashed();
    }
}
