<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;
use Illuminate\Database\Eloquent\SoftDeletes;

class Link extends Model
{
    use HasFactory,SoftDeletes;

    protected $primaryKey = 'id';

    protected $fillable = [
        'superAdmin_id',
        'app_id',
        'url',
    ];

    protected $hidden = [
        'created_at',
        'updated_at',
    ];

    protected static function boot()
    {
        parent::boot(); // TODO: Change the autogenerated stub

        static::creating(function ($model) {
            $model->setSuperAttribute();
        });

    }

    public function setSuperAttribute()
    {
        $this->attributes['superAdmin_id'] = \auth('SuperAdmin')->user()->id;
    }

    public function SuperAdmin(): BelongsTo
    {
        return $this->belongsTo(SuperAdmin::class, 'superAdmin_id');
    }

    public function App(): BelongsTo
    {
        return $this->belongsTo(App::class, 'app_id');
    }
}
