<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

class Setting extends Model
{
    use HasFactory;

    protected $primaryKey = 'id';

    protected $fillable = [
        'superAdmin_id',
        'parent',
        'key_ar',
        'value_ar',
        'key_en',
        'value_en',
    ];

    protected $hidden = [
        'created_at',
        'updated_at',
    ];

    protected static function boot()
    {
        parent::boot(); // TODO: Change the autogenerated stub

        static::creating(function ($model) {
            $model->setSuperAttribute();
        });

    }

    public function setSuperAttribute()
    {
        $this->attributes['superAdmin_id'] = \auth('SuperAdmin')->user()->id;
    }

    public function SuperAdmin(): BelongsTo
    {
        return $this->belongsTo(SuperAdmin::class, 'superAdmin_id');
    }

}
