<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('settings', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('superAdmin_id');
            $table->foreign('superAdmin_id')->references('id')->on('super_admins')->cascadeOnDelete();
            $table->string('parent')->nullable();
            $table->string('key_ar')->unique()->collation('utf8_bin');
            $table->mediumText('value_ar');
            $table->string('key_en')->unique()->collation('utf8_bin');
            $table->mediumText('value_en');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('settings');
    }
};
