<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('card_sub_categories', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('card_category_id');
            $table->foreign('card_category_id')->references('id')->on('card_categories')->cascadeOnDelete();
            $table->string('name_ar');
            $table->string('name_en');
            $table->string('image');
            $table->mediumText('description_ar');
            $table->mediumText('description_en');
            $table->boolean('is_active')->default(1);
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('card_sub_categories');
    }
};
